Subject: Re: [PATCH 00/10] gc: enable cruft packs by default

From: Taylor Blau <[email-masked]>
Date: Tue, 18 Apr 2023 15:53:47 -0400

On Tue, Apr 18, 2023 at 07:04:24AM -0400, Jeff King wrote:
> On Mon, Apr 17, 2023 at 04:54:11PM -0400, Taylor Blau wrote:
>
> > The series is structured as follows:
> >
> >   - The first two patches are cleanup.
> >   - The third patches fixes an oversight where the code for `git gc`'s
> >     `--keep-largest-pack` option would incorrectly consider cruft packs.
> >   - The next five patches are test preparation.
> >   - Then the substantive patch, to actually graduate `gc.cruftPacks` and
> >     enable it by default.
> >   - The final patch is some cleanup that can only take place towards the
> >     end of the series.
>
> Thanks, this was a pleasant read. Besides Junio's small fixup in the
> docs, everything I pointed out was minor enough that it wouldn't be a
> big deal to go in as-is.

Thanks, both, for the review. Most (all?) of the clean-up was all pretty
minor, but I would have rerolled here regardless. New version incoming
just as soon as CI says it's all good.

Thanks,
Taylor